Bug 81792 - (SOUND AC97_CODEC)i810 mixer channels mixed up
(SOUND AC97_CODEC)i810 mixer channels mixed up
Status: CLOSED WONTFIX
Product: Red Hat Linux Beta
Classification: Retired
Component: kernel (Show other bugs)
beta2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-01-13 20:45 EST by David Woodhouse
Modified: 2015-01-04 17:02 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-19 00:05:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2003-01-13 20:45:44 EST
Description of problem:
Using i810_audio driver, the channel named 'pcm2' is actually the master volume. 

Version-Release number of selected component (if applicable):
kernel-2.4.20-2.2

i810: Intel ICH2 found at IO 0xef00 and 0xe800, MEM 0x0000 and 0x0000, IRQ 9
i810_audio: Audio Controller supports 6 channels.
i810_audio: Defaulting to base 2 channel mode.
i810_audio: Resetting connection 0
ac97_codec: AC97 Audio codec, id: ADS96 (Analog Devices AD1885)
i810_audio: AC'97 codec 0 Unable to map surround DAC's (or DAC's not present),
total channels = 2


DMI table at 0x000F0EA0.
Handle 0x0000
        DMI type 0, 20 bytes.
        BIOS Information Block
                Vendor: Intel Corp.
                Version: EA81510A.86A.0040.P09.0011141019
                Release: 11/14/2000
                BIOS base: 0xF0000
                ROM size: 448K
                Capabilities:
                        Flags: 0x000000007FF9DE80
Handle 0x0001
        DMI type 1, 25 bytes.
        System Information Block
                Vendor:
                Product:
                Version:
                Serial Number:
Handle 0x0002
        DMI type 2, 8 bytes.
        Board Information Block
                Vendor: Intel Corporation
                Product: D815EEA
                Version: AAA10380-406
                Serial Number: ABEA10904349
Comment 1 David Woodhouse 2003-01-16 16:32:38 EST
00:00.0 Host bridge: Intel Corp. 82815 815 Chipset Host Bridge and Memory
Controller Hub (rev 02)
        Subsystem: Intel Corp.: Unknown device 4541
00:02.0 VGA compatible controller: Intel Corp. 82815 CGC [Chipset Graphics
Controller] (rev 02) (prog-if 00 [VGA])
        Subsystem: Intel Corp.: Unknown device 4541
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB PCI Bridge (rev 02) (prog-if 00
[Normal decode])
00:1f.0 ISA bridge: Intel Corp. 82801BA ISA Bridge (LPC) (rev 02)
00:1f.1 IDE interface: Intel Corp. 82801BA IDE U100 (rev 02) (prog-if 80 [Master])
        Subsystem: Intel Corp.: Unknown device 4541
00:1f.2 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #1) (rev 02) (prog-if
00 [UHCI])
        Subsystem: Intel Corp.: Unknown device 4541
00:1f.3 SMBus: Intel Corp. 82801BA/BAM SMBus (rev 02)
        Subsystem: Intel Corp.: Unknown device 4541
00:1f.4 USB Controller: Intel Corp. 82801BA/BAM USB (Hub #2) (rev 02) (prog-if
00 [UHCI])
        Subsystem: Intel Corp.: Unknown device 4541
00:1f.5 Multimedia audio controller: Intel Corp. 82801BA/BAM AC'97 Audio (rev 02)
        Subsystem: Intel Corp.: Unknown device 4541
01:08.0 Ethernet controller: Intel Corp. 82801BA/BAM/CA/CAM Ethernet Controller
(rev 01)
        Subsystem: Intel Corp. EtherExpress PRO/100 VE
01:0a.0 Multimedia video controller: Brooktree Corporation Bt878 Video Capture
(rev 11)
        Subsystem: Hauppauge computer works Inc. WinTV/GO
01:0a.1 Multimedia controller: Brooktree Corporation Bt878 Audio Capture (rev 11)
        Subsystem: Hauppauge computer works Inc. WinTV/GO
Comment 2 David Woodhouse 2003-09-26 11:38:45 EDT
Still in Severn2 2.4.22-1.2061
Comment 3 David Woodhouse 2003-09-26 11:40:17 EDT
If I recall correctly, this was fine in Red Hat Linux 8, it was the RHL9 kernel
which first broke.

Note You need to log in before you can comment on or make changes to this bug.